SPLIT(1) | General Commands Manual | SPLIT(1)

# NAME

`split` —
split a file into pieces

# SYNOPSIS

`split` | [`-a` suffix_length] [`-b` byte_count[`k|m`] | `-l` line_count `-n` chunk_count] [file [name]]

# DESCRIPTION

The `split` utility reads the given file and breaks it up into files of 1000 lines each. If file is a single dash or absent, `split` reads from the standard input. file itself is not altered.

The options are as follows:

`-a`
  Use suffix_length letters to form the suffix of the file name.
`-b`
  Create smaller files byte_count bytes in length. If ‘`k`’ is appended to the number, the file is split into byte_count kilobyte pieces. If ‘`m`’ is appended to the number, the file is split into byte_count megabyte pieces.
`-l`
  Create smaller files line_count lines in length.
`-n`
  Split file into chunk_count smaller files.

If additional arguments are specified, the first is used as the name of the input file which is to be split. If a second additional argument is specified, it is used as a prefix for the names of the files into which the file is split. In this case, each file into which the file is split is named by the prefix followed by a lexically ordered suffix using suffix_length characters in the range “`a-z`”. If `-a` is not specified, two letters are used as the suffix.

If the name argument is not specified, ‘`x`’ is used.

# STANDARDS

The `split` utility conforms to IEEE Std 1003.1-2001 (“POSIX.1”).

# HISTORY

A `split` command appeared in Version 6 AT&T UNIX.

The `-a` option was introduced in NetBSD 2.0. Before that, if name was not specified, `split` would vary the first letter of the filename to increase the number of possible output files. The `-a` option makes this unnecessary.

May 28, 2007 | NetBSD 10.0